SDPD(8)

NAME
sdpd - Bluetooth Service Discovery Protocol daemon

SYNOPSIS
sdpd [-dh] [-c path] [-g group] [-u user]

DESCRIPTION
The sdpd daemon keeps track of the Bluetooth services registered on the host and responds to Service Discovery inquiries from the remote Bluetooth devices.

In order to use any service remote Bluetooth device need to send Service Search and Service Attribute or Service Search Attribute request over Bluetooth L2CAP connection on SDP PSM (0x0001). The sdpd daemon will try to find matching Service Record in its Service Database and will send appropriate response back. The remote device then will process the response, extract all required information and will make a separate connection in order to use the service.

Bluetooth applications, running on the host, register services with the local sdpd daemon. Operation like service registration, service removal and service change are performed over the control socket. It is possible to query entire content of the sdpd Service Database with sdpcontrol(8) by issuing browse command on the control socket.

The command line options are as follows:

-d  Do not detach from the controlling terminal.

-c path
    Specify path to the control socket. The default path is /var/run/sdp.

-g group
    Specifies the group the sdpd should run as after it initializes. The value specified may be either a group name or a numeric group ID. This only works if sdpd was started as root. The default group name is “nobody”.

-h  Display usage message and exit.

-u user
    Specifies the user the sdpd should run as after it initializes. The value specified may be either a user name or a numeric user ID. This only works if sdpd was started as root. The default user name is “nobody”.

CAVEAT
The sdpd daemon will listen for incoming L2CAP connections on a wildcard BD_ADDR.

In case of multiple Bluetooth devices connected to the same host it is possible to specify which services should be “bound” to which Bluetooth device. Such assignment should be done at service registration time.

Requests to register, remove or change service can only be made via the control socket. The sdpd daemon will check peer's credentials and will only accept the request if the application has the same effective user ID as the “root” user ID.

The sdpd daemon does not check for duplicated Service Records. It only performs minimal checking on the service data sent in the Service Register request. It is assumed that application must obtain all required resources such as RFCOMM channels etc., before registering the service.

FILES
/var/run/sdp

SEE ALSO
sdp(3), sdpcontrol(8)

AUTHORS
Maksim Yevmenkin <m_evmenkin@yahoo.com>

BUGS
Most likely. Please report if found.